Name:       opentelemetry-cpp
Version:    1.9.0
Release:    2%{?dist}
Summary:    The C++ OpenTelemetry client
Group:      System Environment/Libraries
License:    ASL 2.0 and MIT
URL:        https://opentelemetry.io/

Source0:    %{name}-%{version}.tar.gz
Patch0:     %{name}-%{version}.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
# Required for various exporters:
BuildRequires: libcurl-devel
BuildRequires: json-devel
BuildRequires: thrift-devel

%description
OpenTelemetry is a collection of tools, APIs, and SDKs. Use it to instrument,
generate, collect, and export telemetry data (metrics, logs, and traces) to
help you analyze your softwareâ€™s performance and behavior. This library
contains the OpenTelemetry API and SDK for C++.

%files
%license LICENSE
%doc README.md
%defattr(-,root,root,-)
%{_libdir}/libopentelemetry_common.so.*
%{_libdir}/libopentelemetry_exporter_in_memory.so.*
%{_libdir}/libopentelemetry_exporter_jaeger_trace.so.*
%{_libdir}/libopentelemetry_exporter_ostream_metrics.so.*
%{_libdir}/libopentelemetry_exporter_ostream_span.so.*
%{_libdir}/libopentelemetry_http_client_curl.so.*
%{_libdir}/libopentelemetry_metrics.so.*
%{_libdir}/libopentelemetry_resources.so.*
%{_libdir}/libopentelemetry_trace.so.*
%{_libdir}/libopentelemetry_version.so.*


# ====== cpp-devel ======

%package devel
Group:      Development/System
Summary:    Development API for OpenTelemetry C++
Requires:   opentelemetry-cpp%{_isa} = %{version}-%{release}
Requires:   thrift

%description devel
%{summary}

%files devel
%license LICENSE
%doc README.md
%doc docs
%{_includedir}/opentelemetry
%{_libdir}/cmake/opentelemetry-cpp
%{_libdir}/libopentelemetry_common.so
%{_libdir}/libopentelemetry_exporter_in_memory.so
%{_libdir}/libopentelemetry_exporter_jaeger_trace.so
%{_libdir}/libopentelemetry_exporter_ostream_metrics.so
%{_libdir}/libopentelemetry_exporter_ostream_span.so
%{_libdir}/libopentelemetry_http_client_curl.so
%{_libdir}/libopentelemetry_metrics.so
%{_libdir}/libopentelemetry_resources.so
%{_libdir}/libopentelemetry_trace.so
%{_libdir}/libopentelemetry_version.so


# ======

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%cmake \
    -DBUILD_TESTING=OFF \
    -DBUILD_SHARED_LIBS=ON \
    -DCMAKE_POSITION_INDEPENDENT_CODE=ON \
    -DWITH_JAEGER=ON \
    -DWITH_EXAMPLES=OFF \
    .
%cmake_build

%install
%cmake_install

%changelog
* Fri Apr 21 2023 Kim van der Riet - 1.9.0-2
- Fixed rpmlint undefined-non-weak-symbol error
- Removed dep on copr build of nlohmann-json, use json-devel instead

* Fri Apr 14 2023 Kim van der Riet - 1.9.0-1
- Rebased to upstream version 1.9.0

* Mon Dec 5 2022 Kim van der Riet - 1.8.1-1
- Rebased to upstream version 1.8.1

* Fri Dec 2 2022 Kim van der Riet - 1.7.0-1
- Initial build of 1.7.0
